define('feature/project/projectTable',
    ['widget/infinite-table', 'util/navbuilder'],
    function(InfiniteTable, navbuilder) {

        function ProjectTable(projectTableSelector) {
            this._table = new InfiniteTable(projectTableSelector, {
                noMoreMessage : stash_i18n('stash.web.projects.no.more', 'No more projects'),
                resultTemplate : stash.feature.project.projectRow,
                getRequestUrl : function(start, limit) {
                    return navbuilder.allProjects()
                                  .withParams({
                                      start : start,
                                      limit : limit
                                  }).build();
                }
            });
        }
        ProjectTable.prototype.init = function() {
            this._table.init();
        };

        return ProjectTable;
    }
);