define('feature/repository/cloneUrlGen', [
    'jquery',
    'unorm',
    'util/navbuilder',
    'exports'
], function(
    $,
    unorm,
    navbuilder,
    exports
) {

    function slugify(name) {
        return unorm.nfkd(name)
            .replace(/[^\x00-\x7F]+/g, "")
            .replace(/[^a-zA-Z\-_0-9\\.]+/g, "-")
            .toLowerCase();
    }

    function bindUrlGeneration(input, target) {
        var $input = $(input),
            $target = $(target),
            lastVal = $target.val();

        if (!lastVal) {
            $target.hide();
        }

        var poller = function() {
            var slug = slugify($input.val() || ''),
                val = slug ? navbuilder.currentProject().repo(slug).clone('git').buildAbsolute() : '';

            var setText = function () {
                $target.text(val);
            };

            if (!slug && lastVal) {
                $target.fadeOut('fast', setText);
            } else if (slug && !lastVal) {
                setText();
                $target.fadeIn('fast');
            } else {
                setText();
            }
            lastVal = val;

            setTimeout(poller, 100);
        };
        setTimeout(poller, 100);
    }

    exports.bindUrlGeneration = bindUrlGeneration;
    exports.slugify = slugify;
});
