define('feature/repository/repository-table', [
    'widget/infinite-table',
    'util/navbuilder',
    'model/page-state'
], function(
    InfiniteTable,
    navbuilder,
    pageState
) {

        function RepositoryTable(repositoryTableSelector) {
            this._table = new InfiniteTable(repositoryTableSelector, {
                noMoreMessage : stash_i18n('stash.web.repositories.no.more', 'No more repositories'),
                resultTemplate : function(repo) {
                    repo.project = {
                        key : pageState.getProject().key
                    };
                    return stash.feature.repository.repositoryRow(repo);
                },
                getRequestUrl : function(start, limit) {
                    return navbuilder.currentProject().allRepos()
                                  .withParams({
                                      start : start,
                                      limit : limit
                                  }).build();
                }
            });
        }
        RepositoryTable.prototype.init = function() {
            this._table.init();
        };

        return RepositoryTable;
    }
);