define('layout/files', [
    'eve',
    'model/path',
    'model/revision-reference',
    'model/page-state',
    'widget/breadcrumbs',
    'exports'
], function(eve, Path, RevisionReference, pageState, Breadcrumbs, exports) {

    exports.onReady = function(pathComponents,
                               atRevision,
                               breadcrumbsSelector) {

        pageState.setFilePath(new Path(pathComponents));

        var currentRevisionRef = new RevisionReference(atRevision);
        var breadcrumbs = new Breadcrumbs(breadcrumbsSelector);

        eve.on('stash.widget.breadcrumbs.urlChanged', function(url) {
            if (this === breadcrumbs) {
                eve('stash.layout.files.urlChanged', this, url);
            }
        });

        /* React to page changes */
        eve.on('stash.page.*.revisionRefChanged', function(revisionReference) {
            currentRevisionRef = revisionReference;
            breadcrumbs.update(currentRevisionRef, pageState.getFilePath());
        });

        eve.on('stash.page.*.pathChanged', function(path) {
            pageState.setFilePath(path);
            breadcrumbs.update(currentRevisionRef, path);
        });
    };
});
