define('model/pull-request', [
    'jquery',
    'underscore',
    'backbone-brace',
    'model/revision',
    'model/revision-reference',
    'model/participant',
    'model/participant-collection'
], function(
    $,
    _,
    Brace,
    Revision,
    RevisionReference,
    Participant,
    Participants
) {

    return Brace.Model.extend({
        namedAttributes : {
            'id' : null,
            'link' : null,
            /**
             * The fromRef is a Ref to the source/from branch. This is the "until"/"new" side of any diff.
             */
            'fromRef' : RevisionReference,
            /**
             * The toRef is a Ref to the target/to branch. This is the "since"/"old" side of any diff.
             */
            'toRef' : RevisionReference,
            'author' : Participant,
            'reviewers' : Participants,
            'participants' : Participants,
            'state' : null,
            'title' : null,
            'createdDate' : Date,
            'updatedDate' : Date,
            'version' : null,
            'description' : null,
            'descriptionAsHtml' : null
        },
        addParticipant : function(participant) {
            var exists = this.getParticipants().findByUser(participant.getUser());

            if (!exists) {
                this.getParticipants().add(participant);
            }
        }
    });
});