define('page/admin/usersList', ['exports', 'jquery', 'aui', 'widget/pager', 'widget/pager-filter', 'widget/delete-dialog'], function (exports, $, AJS, Pager, PagerFilter, deleteDialog) {

    exports.onReady = function (tableId, deleteLinks) {

        // paging and AJAX rendering of the table
        var templatesByTarget = {};
        templatesByTarget[tableId] = function (page) {
            return stash.admin.users.usertable({
                users:page,
                filtered : !!page.filter
            });
        };
        Pager.onReady(templatesByTarget, {
            usePushState: false
        });

        // confirm dialog to delete users
        deleteDialog.bind(deleteLinks,
            stash_i18n("stash.web.users.delete", "Delete user"),
            stash_i18n('stash.web.users.delete.success', 'The user {0} was successfully deleted.'),
            stash_i18n('stash.web.users.delete.fail', 'The user could not deleted.'),
            function() {
                return PagerFilter.reload();
            });
    };

});
